﻿using System.Windows.Forms;

namespace ServerMonitorApp
{
    /// <summary>Combo box containing options for size units.</summary>
    class SizeUnitsComboBox : ComboBox
    {
        protected override void OnCreateControl()
        {
            base.OnCreateControl();
            // Clear the items to prevent duplicates added at design time and run time.
            Items.Clear();
            Items.Add("B");
            Items.Add("KB");
            Items.Add("MB");
            Items.Add("GB");
            SelectedIndex = 0;
        }
    }

    /// <summary>Size units.</summary>
    public enum SizeUnits { B = 0, KB = 1, MB = 2, GB = 3 }
}
